> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/mariadb/restore/in-place-restore-of-a-cluster.md).

# In-place restore of a cluster.

Restore a MariaDB cluster from a backup.

Conditions:

* The backup must belong to the MariaDB cluster to be restored.
* The cluster must be in the state "AVAILABLE".

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS MariaDB REST API","version":"0.1.0"},"tags":[{"name":"Restore","description":"Everything about restoring MariaDB clusters from a backup."}],"servers":[{"url":"https://mariadb.de-fra.ionos.com","description":"Frankfurt, Germany"},{"url":"https://mariadb.de-txl.ionos.com","description":"Berlin, Germany"},{"url":"https://mariadb.es-vit.ionos.com","description":"Logroño, Spain"},{"url":"https://mariadb.fr-par.ionos.com","description":"Paris, France"},{"url":"https://mariadb.gb-lhr.ionos.com","description":"London, Great Britain"},{"url":"https://mariadb.us-ewr.ionos.com","description":"Newark, USA"},{"url":"https://mariadb.us-las.ionos.com","description":"Las Vegas, USA"},{"url":"https://mariadb.us-mci.ionos.com","description":"Lenexa, USA"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIDPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}}},"schemas":{"RestoreRequest":{"type":"object","required":["backupId"],"description":"Request payload to restore a cluster from a backup.\n","properties":{"backupId":{"$ref":"#/components/schemas/ResourceID"},"recoveryTargetTime":{"type":"string","format":"date-time","description":"The timestamp to which the cluster should be restored.\nIf empty, the backup will be applied to the latest\ntimestamp.\n\nThis value must be supplied as ISO 8601 timestamp, the\nbackup will be replayed up until the given timestamp.\nIf empty, the backup will be applied completely.\n\nMust be within the earliestRecoveryTargetTime and now.\n\nThe earliestRecoveryTargetTime can be looked up in the\nbackup object.\n"}}},"ResourceID":{"type":"string","description":"The unique ID of the resource."},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"Error400":{"description":"Parse error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error401":{"description":"Authentication error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error403":{"description":"Unauthorized.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error404":{"description":"Not Found.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error405":{"description":"Unsupported HTTP method.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error415":{"description":"Unsupported content type.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error422":{"description":"Validation error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error429":{"description":"Request rate limit exceeded.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error500":{"description":"Server error.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}},"Error503":{"description":"Maintenance.","content":{"application/json":{"schema":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"required":["httpStatus","messages"],"type":"object"}}}}}},"paths":{"/clusters/{clusterId}/restore":{"post":{"operationId":"clustersRestore","summary":"In-place restore of a cluster.","description":"Restore a MariaDB cluster from a backup.\n\nConditions:\n - The backup must belong to the MariaDB cluster to\n   be restored.\n - The cluster must be in the state \"AVAILABLE\".","parameters":[{"$ref":"#/components/parameters/ClusterIDPath"}],"tags":["Restore"],"requestBody":{"description":"The backup to restore from.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreRequest"}}},"required":true},"responses":{"202":{"description":"Successful operation."},"400":{"$ref":"#/components/responses/Error400"},"401":{"$ref":"#/components/responses/Error401"},"403":{"$ref":"#/components/responses/Error403"},"404":{"$ref":"#/components/responses/Error404"},"405":{"$ref":"#/components/responses/Error405"},"415":{"$ref":"#/components/responses/Error415"},"422":{"$ref":"#/components/responses/Error422"},"429":{"$ref":"#/components/responses/Error429"},"500":{"$ref":"#/components/responses/Error500"},"503":{"$ref":"#/components/responses/Error503"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/api-reference/databases/mariadb/restore/in-place-restore-of-a-cluster.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
